apiVersion: apps/v1
kind: Deployment
metadata:
  name: override-dns-pod-level
spec:
  replicas: 3
  selector:
    matchLabels:
       app: override-dns-pod-level
  template:
     metadata:
       labels:
         app: override-dns-pod-level
     spec:
       containers:
       - name: hello-world
         image: psk8s.azurecr.io/hello-app:1.0
         ports:
         - containerPort: 8080
       dnsPolicy: "None"
       dnsConfig:
         nameservers:
         - 9.9.9.9

---
apiVersion: v1
kind: Service
metadata:
   name: override-dns-pod-level
spec:
   selector:
      app: override-dns-pod-level
   ports:
   - port: 80
     protocol: TCP
     targetPort: 8080